Package org.apache.cayenne.dba.db2

## Class DB2SQLTreeProcessor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
  - - org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
    - - org.apache.cayenne.dba.db2.DB2SQLTreeProcessor

- All Implemented Interfaces:
    `NodeTreeVisitor`, `SQLTreeProcessor`

      public class DB2SQLTreeProcessor
      extends BaseSQLTreeProcessor

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DB2SQLTreeProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `onColumnNode​(Node parent, ColumnNode child, int index)` |
    `protected void` | `onFunctionNode​(Node parent, FunctionNode child, int index)` |
    `protected void` | `onLimitOffsetNode​(Node parent, LimitOffsetNode child, int index)` |
    `protected void` | `onValueNode​(Node parent, ValueNode child, int index)` |

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor

      `onChildNodeStart, onDistinctNode, onInNode, onLikeNode, onResultNode, onUndefinedNode, process, replaceChild, replaceChild, wrapInFunction`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

      `onChildNodeEnd, onNodeEnd, onNodeStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2SQLTreeProcessor

          public DB2SQLTreeProcessor()

  - ### Method Detail

    - #### onLimitOffsetNode

          protected void onLimitOffsetNode​(Node parent,
                                           LimitOffsetNode child,
                                           int index)

      Overrides:
        `onLimitOffsetNode` in class `BaseSQLTreeProcessor`

    - #### onColumnNode

          protected void onColumnNode​(Node parent,
                                      ColumnNode child,
                                      int index)

      Overrides:
        `onColumnNode` in class `BaseSQLTreeProcessor`

    - #### onValueNode

          protected void onValueNode​(Node parent,
                                     ValueNode child,
                                     int index)

      Overrides:
        `onValueNode` in class `BaseSQLTreeProcessor`

    - #### onFunctionNode

          protected void onFunctionNode​(Node parent,
                                        FunctionNode child,
                                        int index)

      Overrides:
        `onFunctionNode` in class `BaseSQLTreeProcessor`